> ## Documentation Index
> Fetch the complete documentation index at: https://docs.miav.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlock connector

> Sends UnlockConnector to release the given connector.



## OpenAPI

````yaml /openapi.json post /charging-stations/{id}/commands/unlock-connector
openapi: 3.1.0
info:
  title: CSMS API
  description: Backend API documentation
  version: 0.0.0
servers: []
security: []
paths:
  /charging-stations/{id}/commands/unlock-connector:
    post:
      tags:
        - charging station commands
      summary: Unlock connector
      description: Sends UnlockConnector to release the given connector.
      operationId: postChargingStationsByIdCommandsUnlockConnector
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                evseId:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                connectorId:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
              required:
                - evseId
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      status:
                        anyOf:
                          - type: string
                            enum:
                              - Unlocked
                              - UnlockFailed
                              - NotSupported
                          - type: string
                            enum:
                              - Unlocked
                              - UnlockFailed
                              - OngoingAuthorizedTransaction
                              - UnknownConnector
                    required:
                      - status
                    additionalProperties: false
                required:
                  - result
        '400':
          description: The command is not valid for this charging station
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 400
                  message:
                    type: string
                    const: The command is not valid for this charging station
                  type:
                    type: string
                    const: CHARGING_STATION_COMMAND_INVALID
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '404':
          description: Charging station not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 404
                  message:
                    type: string
                    const: Charging station not found
                  type:
                    type: string
                    const: CHARGING_STATION_NOT_FOUND
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '409':
          description: The charging station is not connected
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 409
                  message:
                    type: string
                    const: The charging station is not connected
                  type:
                    type: string
                    const: CHARGING_STATION_OFFLINE
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '502':
          description: The charging station rejected or answered the command incorrectly
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 502
                  message:
                    type: string
                    const: >-
                      The charging station rejected or answered the command
                      incorrectly
                  type:
                    type: string
                    const: CHARGING_STATION_COMMAND_FAILED
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '503':
          description: The OCPP server is shutting down
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 503
                  message:
                    type: string
                    const: The OCPP server is shutting down
                  type:
                    type: string
                    const: CHARGING_STATION_SERVER_CLOSING
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '504':
          description: The charging station did not answer in time
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 504
                  message:
                    type: string
                    const: The charging station did not answer in time
                  type:
                    type: string
                    const: CHARGING_STATION_COMMAND_TIMEOUT
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type

````